Map = {}
local Map_mt = Class(Map, Mission00)

function Map:new(baseDirectory, customMt, missionCollaborators)
    local mt = customMt
    if mt == nil then
        mt = Map_mt
    end
    local self = Map:superClass():new(baseDirectory, mt, missionCollaborators)

    --[[
	Number of additional channels that are used compared to the original setting:
	1 ---> total - 8 directions  (22,5 deg)
	2 ---> total - 16 directions (11,25 deg)
	3 ---> total - 32 directions (5,625 deg)
	]]
    local numAdditionalAngleChannels = 3;

    self.terrainDetailAngleNumChannels = self.terrainDetailAngleNumChannels + numAdditionalAngleChannels;
    self.terrainDetailAngleMaxValue = (2^self.terrainDetailAngleNumChannels) - 1;

    self.sprayLevelFirstChannel = self.sprayLevelFirstChannel + numAdditionalAngleChannels;

    self.plowCounterFirstChannel = self.plowCounterFirstChannel + numAdditionalAngleChannels;
    self.limeCounterFirstChannel = self.limeCounterFirstChannel + numAdditionalAngleChannels;

    return self
end